Summary: LDAP authorization module for Apache
Name: mod_authz_ldap
Version: 0.26
Release: 1tr
License: BSD
Group: Trustix Official
Source0: ftp://authzldap.othello.ch/%{name}-%{version}.tar.gz
Source1: mod_authz_ldap.conf
URL: http://authzldap.othello.ch
Requires: openssl openldap-libs
BuildRequires: apache-devel openssl-devel openldap-devel
BuildRoot: %{_tmppath}/%{name}-root


%description
The mod_authz_ldap module consists an authorization handler that uses
an LDAP server as the basis for authorizations.  


%prep
%setup -q 


%build
%configure --program-prefix='' --with-apxs=%{_sbindir}/apxs --disable-static
cd module
%{_sbindir}/apxs -I%{_includedir}/openssl -lldap -llber -c -o mod_authz_ldap.la *.c -DAUTHZ_LDAP_HAVE_SSL


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
make -C tools install DESTDIR=$RPM_BUILD_ROOT
make -C docs install DESTDIR=$RPM_BUILD_ROOT

# Install the DSO
mkdir -p $RPM_BUILD_ROOT%{_libdir}/apache
install -m 755 module/.libs/mod_authz_ldap.so $RPM_BUILD_ROOT%{_libdir}/apache

# Install the conf.d fragment
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
install -m 644 $RPM_SOURCE_DIR/mod_authz_ldap.conf \
   $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/authz_ldap.conf

rm -f $RPM_BUILD_ROOT%{_libdir}/apache/{*.la,*.so.*}


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"


%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/httpd/conf.d/authz_ldap.conf
%{_libdir}/apache/*.so
%{_bindir}/cert*
%{_mandir}/man1/cert*
%doc ldap/*.schema docs/*.{html,jpg} docs/*.{HOWTO,txt} docs/README
%doc NEWS AUTHORS ChangeLog COPYING INSTALL


%changelog
* Wed Aug 10 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 2.6-1tr
- Initial spec file for TSL-3.0 Official
